# MPI_Finalized

MPI_Finalized − Checks whether MPI_Finalize has completed.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Finalized(int *flag)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_FINALIZED(FLAG, IERROR)

| LOGICAL |  |  | FLAG
| INTEGER |  |  | IERROR

## C++ Syntax

#include <mpi.h>
bool MPI::Is_finalized()

## OUTPUT PARAMETER

| flag |  | True if MPI was finalized (logical). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

This routine returns "true" if MPI_Finalize has completed. You can call MPI_Finalized before MPI_Init and after MPI_Finalize.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index